gr::dab::unpuncture_ff_impl Class Reference

unpuncturing of a stream sequence More...

`#include <unpuncture_ff_impl.h>`

Inheritance diagram for gr::dab::unpuncture_ff_impl:
[legend]

## Public Member Functions

| unpuncture_ff_impl (const std::vector< unsigned char > &puncturing_vector, float fillval)
| ~unpuncture_ff_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::unpuncture_ff
typedef std::shared_ptr< unpuncture_ff > | sptr
Static Public Member Functions inherited from gr::dab::unpuncture_ff
static sptr | make (const std::vector< unsigned char > &puncturing_vector, float fillval=0)
| Return a shared_ptr to a new instance of dab::unpuncture_ff.

## Detailed Description

unpuncturing of a stream sequence

unpuncturing of a stream sequence according to the puncturing_vector (writing a stream element at a '1' and writing the fillval at a '0')

Parameters

  puncturing_vector | vector with puncturing sequence, length of puncturing_vector is length of a stream sequence
  fillval | value to fill in for a zero of the puncturing vector

## Constructor & Destructor Documentation

## unpuncture_ff_impl()

gr::dab::unpuncture_ff_impl::unpuncture_ff_impl | ( | const std::vector< unsigned char > & | puncturing_vector,
|  | float | fillval )

## ~unpuncture_ff_impl()

gr::dab::unpuncture_ff_impl::~unpuncture_ff_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::unpuncture_ff_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::unpuncture_ff_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- unpuncture_ff_impl.h